<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./scss/ui/fenetre/svg.scss">    
    <link rel="stylesheet" href="./scss/themes/main.scss">    
    <link rel="stylesheet" href="./scss/ui/fenetre/blueprint.scss">    
    <style>
        html {
            height: 100%;
        }
        body {
            height: 100%;
            margin: 0;
            --unit: 25px !important;
            --gx: -25 !important;
            --gy: -25 !important;
        }
    </style>
</head>
<body class="grille">
    <svg class="chemins item">
        
    </svg>
    <script type="module" lang="text/typescript">
        import { codeLienBulle } from "./src/ui/svg.ts"

        let chemin = { 
            depart : {x : 1, y : 1},
            arrive : {x : 8, y : 10},
            type : 'argument',
            couleur : "green"
        }

        let bal_svg = document.querySelector("svg")
        bal_svg.innerHTML = codeLienBulle(chemin, 25, true)

    </script>
</body>
</html>